package com.elitesland.org.entity;

import com.elitesland.core.base.BaseModel;
import com.elitesland.system.annotation.Comment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Objects;

@Entity
@Table(name = "org_bu_employee")
@org.hibernate.annotations.Table(appliesTo = "org_bu_employee", comment = "雇员BU关联表")
@Data
@Accessors(chain = true)
@ApiModel(value = "雇员BU关联表", description = "雇员BU关联表")
public class OrgBuEmployeeDO extends BaseModel implements Serializable {

    private static final long serialVersionUID = -2446929000274850573L;

    @ApiModelProperty(value = "BU记录ID")
    @Comment("BU记录ID")
    @Column()
    Long buId;

    @ApiModelProperty(value = "雇员记录ID")
    @Comment("雇员记录ID")
    @Column()
    Long employeeId;

    @ApiModelProperty(value = "关联类型[UDC]ORG:LINK_TYPE")
    @Comment("关联类型")
    @Column()
    String linkType;

    @ApiModelProperty(value = "岗位记录ID")
    @Comment("岗位记录ID")
    @Column()
    Long postId;

    @ApiModelProperty(value = "部门岗位权重")
    @Comment("部门岗位权重")
    @Column()
    Double postWeight;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof OrgBuEmployeeDO)) {
            return false;
        }
        if (!super.equals(o)) {
            return false;
        }
        OrgBuEmployeeDO entity = (OrgBuEmployeeDO) o;
        return getId().equals(entity.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getId());
    }
}