package com.elitesland.system.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("系统下一编号VO")
public class SysNextNumberVO {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("唯一编号ID")
    Long id;

    @ApiModelProperty(value = "下一编号代码")
    String code;

    @ApiModelProperty(value = "下一编号名称")
    String name;

    @ApiModelProperty(value = "下一编号分类")
    String numberClass;

    @ApiModelProperty(value = "下一编号步长")
    Integer step;

    @ApiModelProperty(value = "下一编号取值")
    Long nextNumber;

    @ApiModelProperty(value = "下一编号周期[UDC]SYS:NNPERIOD")
    String nnPeriod;

    @ApiModelProperty(value = "发号时间")
    LocalDateTime nnTime;
}
